summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_xpkg_pkg.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2011-11-13 13:41:45 +0100
committerMichael Olbrich <m.olbrich@pengutronix.de>2011-11-23 11:20:37 +0100
commit04e85e7f81378ef64976e764e768e2aeb627b4d3 (patch)
tree4cead773a0f24587356e4a4ef93e6b0c7d9a6c57 /scripts/lib/ptxd_make_xpkg_pkg.sh
parent2145ee634b3f9c46d22a9de22f619b9d183d1acb (diff)
downloadptxdist-04e85e7f81378ef64976e764e768e2aeb627b4d3.tar.gz
ptxdist-04e85e7f81378ef64976e764e768e2aeb627b4d3.tar.xz
ptxd_make_xpkg_pkg: use ptxd_install_setup_src in ptxd_install_find
Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_xpkg_pkg.sh')
-rw-r--r--scripts/lib/ptxd_make_xpkg_pkg.sh19
1 files changed, 9 insertions, 10 deletions
diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh b/scripts/lib/ptxd_make_xpkg_pkg.sh
index ad0884227..38225357e 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -435,30 +435,29 @@ ptxd_install_generic() {
export -f ptxd_install_generic
ptxd_install_find() {
- local dir="${1%/}"
- local dstdir="${2%/}"
+ local src="${1%/}"
+ local dst="${2%/}"
local usr="${3#-}"
local grp="${4#-}"
local strip="${5}"
- test -d "${dir}" &&
+ ptxd_install_setup_src &&
+ test -d "${src}" &&
- find "${dir}" -path "*/.svn" -prune -o -path "*/.git" -prune -o \
+ find "${src}" -path "*/.svn" -prune -o -path "*/.git" -prune -o \
-path "*/.pc" -prune -o -path "*/CVS" -prune -o \
- ! -path "${dir}" -print | while read file; do
- local dst="${dstdir}${file#${dir}}"
- ptxd_install_generic "${file}" "${dst}" "${usr}" "${grp}" "${strip}" || return
+ ! -path "${src}" -print | while read file; do
+ local dst_file="${dst}${file#${src}}"
+ ptxd_install_generic "${file}" "${dst_file}" "${usr}" "${grp}" "${strip}" || return
done
}
export -f ptxd_install_find
ptxd_install_tree() {
+ local cmd="file"
local src="${1}"
local dst="${2}"
shift 2
- if [ "${src}" = "-" ]; then
- src="${pkg_pkg_dir}${dst}"
- fi
ptxd_install_find "${src}" "${dst}" "$@" ||
ptxd_install_error "install_tree failed!"
}